Move orphan box messages to an active box
POST
/v1/ns/{nsid}/vm/orphans/{context}/{box}/rehome
const url = 'https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/vm/orphans/example/example/rehome';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"context":"example","box":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/ns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/vm/orphans/example/example/rehome \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "context": "example", "box": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”nsid
required
string format: uuid
Namespace UUID
context
required
string
box
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
context
required
string
box
required
string
Examplegenerated
{ "context": "example", "box": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
success
required
boolean
source_context
required
string
source_box
required
string
target_context
required
string
target_box
required
string
messages_moved
required
integer
Examplegenerated
{ "success": true, "source_context": "example", "source_box": "example", "target_context": "example", "target_box": "example", "messages_moved": 1}default
Section titled “default”Error response
Media typeapplication/problem+json
RFC 7807 Problem Details
object
type
Problem type slug URI
string
title
string
status
integer
detail
string
key
additional properties
any
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example"}